package cn.com.qmth.stmms.biz.mark.service;

import cn.com.qmth.stmms.biz.exam.model.MarkGroup;
import cn.com.qmth.stmms.biz.mark.model.ArbitrateHistory;
import cn.com.qmth.stmms.biz.mark.query.ArbitrateHistorySearchQuery;

public interface ArbitrateHistoryService {

    void delete(ArbitrateHistory history);

    void deleteByStudent(Integer studentId);

    void deleteByGroup(MarkGroup group);

    ArbitrateHistory save(ArbitrateHistory history);

    ArbitrateHistory findById(Integer id);

    long countByQuery(ArbitrateHistorySearchQuery query);

    ArbitrateHistorySearchQuery findByQuery(ArbitrateHistorySearchQuery query);

}
